## Name

gfs_acl_calc_mask — calculate and set the file group class mask in a Gfarm ACL

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_calc_mask(` | acl_p`)`; |

`gfarm_acl_t *acl_p`;

## INPUT ARGUMENTS

`acl_p`

  Pointer of ACL structure type.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_check(3), gfs_acl_get_entry(3), gfs_acl_valid(3)